# from quant.multiquant_parser import *
import os
import pandas as pd

METADATA_MQ_FILE = "metadata_mq"
METADATA_STD_SAMPLE_FILE = "metadata_std_sample"
MQ_FILES = "mq_files"

dir_path = os.path.dirname(os.path.realpath(__file__))

input_local_files = {
    METADATA_MQ_FILE: [os.path.join(dir_path, 'metadata_mq_df.csv')],
    METADATA_STD_SAMPLE_FILE: [os.path.join(dir_path, 'metadata_std_sample.csv')],
    MQ_FILES: [os.path.join(dir_path, 'raw_file.txt')]}

curve_fir_raw_file = {"merged_std": "tests/test_input/merge_std.json",
                      "biosample_data": "tests/test_input/biosample.json"}

raw_mq_df = pd.read_table(os.path.join(dir_path, 'raw_file.txt'))
raw_mq_df_1 = pd.read_table(os.path.join(dir_path, 'raw_file_1.txt'))
metadata_mq_df = pd.read_csv(
    os.path.join(dir_path, 'metadata_mq_df.csv'))
metadata_mq_df_1 = pd.read_csv(
    os.path.join(dir_path, 'metadata_mq_df1.csv'))
metadata_std_sample_df = pd.read_csv(
    os.path.join(dir_path, 'metadata_std_sample.csv'))
metadata_std_sample_df_1 = pd.read_csv(
    os.path.join(dir_path, 'metadata_std_sample_1.csv'))

BSAMPLE_RESPONSE_NORM = {
    'SAMPLE_#SVLSCE6_6_3_Itaconic acid': {
        'intensity': '2432021.000000',
        'point_type': 'AQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_6_3',
        'point_name': 'SAMPLE_#SVLSCE6_6_3_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '29.821889',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_5_7_Itaconic acid': {
        'intensity': '287643300.000000',
        'point_type': 'AQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_5_7',
        'point_name': 'SAMPLE_#SVLSCE6_5_7_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '3527.135071',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_6_6_Itaconic acid': {
        'intensity': '295335600.000000',
        'point_type': 'AQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_6_6',
        'point_name': 'SAMPLE_#SVLSCE6_6_6_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '3621.459469',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_5_2_Itaconic acid': {
        'intensity': '4171659.000000',
        'point_type': 'AQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_5_2',
        'point_name': 'SAMPLE_#SVLSCE6_5_2_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '51.153650',
        'unit': 'uM',
    },
    'BK_#SVLSCE6_1_2_Itaconic acid': {
        'intensity': '30654.480000',
        'point_type': 'BQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'BK_#SVLSCE6_1_2',
        'point_name': 'BK_#SVLSCE6_1_2_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '0.375891',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_3_3_Itaconic acid': {
        'intensity': '799968.400000',
        'point_type': 'Linear',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_3_3',
        'point_name': 'SAMPLE_#SVLSCE6_3_3_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '9.809360',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_3_5_Itaconic acid': {
        'intensity': '1311282.000000',
        'point_type': 'AQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_3_5',
        'point_name': 'SAMPLE_#SVLSCE6_3_5_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '16.079181',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_2_3_Itaconic acid': {
        'intensity': '320445.700000',
        'point_type': 'Linear',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_2_3',
        'point_name': 'SAMPLE_#SVLSCE6_2_3_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '3.929364',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_6_2_Itaconic acid': {
        'intensity': '1961419.000000',
        'point_type': 'AQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_6_2',
        'point_name': 'SAMPLE_#SVLSCE6_6_2_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '24.051281',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_5_6_Itaconic acid': {
        'intensity': '253439600.000000',
        'point_type': 'AQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_5_6',
        'point_name': 'SAMPLE_#SVLSCE6_5_6_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '3107.723008',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_5_4_Itaconic acid': {
        'intensity': '1764175.000000',
        'point_type': 'AQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_5_4',
        'point_name': 'SAMPLE_#SVLSCE6_5_4_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '21.632638',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_3_2_Itaconic acid': {
        'intensity': '1478227.000000',
        'point_type': 'AQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_3_2',
        'point_name': 'SAMPLE_#SVLSCE6_3_2_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '18.126291',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_2_5_Itaconic acid': {
        'intensity': '273049.800000',
        'point_type': 'Linear',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_2_5',
        'point_name': 'SAMPLE_#SVLSCE6_2_5_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '3.348187',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_2_7_Itaconic acid': {
        'intensity': '172188.100000',
        'point_type': 'BQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_2_7',
        'point_name': 'SAMPLE_#SVLSCE6_2_7_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '2.111402',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_3_4_Itaconic acid': {
        'intensity': '386881.000000',
        'point_type': 'Linear',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_3_4',
        'point_name': 'SAMPLE_#SVLSCE6_3_4_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '4.744006',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_3_6_Itaconic acid': {
        'intensity': '484191.600000',
        'point_type': 'Linear',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_3_6',
        'point_name': 'SAMPLE_#SVLSCE6_3_6_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '5.937246',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_2_2_Itaconic acid': {
        'intensity': '1107652.000000',
        'point_type': 'AQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_2_2',
        'point_name': 'SAMPLE_#SVLSCE6_2_2_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '13.582233',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_2_4_Itaconic acid': {
        'intensity': '440101.000000',
        'point_type': 'Linear',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_2_4',
        'point_name': 'SAMPLE_#SVLSCE6_2_4_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '5.396599',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_5_5_Itaconic acid': {
        'intensity': '296550000.000000',
        'point_type': 'AQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_5_5',
        'point_name': 'SAMPLE_#SVLSCE6_5_5_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '3636.350665',
        'unit': 'uM',
    },
    'BK_#SVLSCE6_1_1_Itaconic acid': {
        'intensity': '53298.530000',
        'point_type': 'BQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'BK_#SVLSCE6_1_1',
        'point_name': 'BK_#SVLSCE6_1_1_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '0.653556',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_6_5_Itaconic acid': {
        'intensity': '349343700.000000',
        'point_type': 'AQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_6_5',
        'point_name': 'SAMPLE_#SVLSCE6_6_5_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '4283.716729',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_6_7_Itaconic acid': {
        'intensity': '344604300.000000',
        'point_type': 'AQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_6_7',
        'point_name': 'SAMPLE_#SVLSCE6_6_7_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '4225.601334',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_2_6_Itaconic acid': {
        'intensity': '228297.000000',
        'point_type': 'BQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_2_6',
        'point_name': 'SAMPLE_#SVLSCE6_2_6_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '2.799420',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_5_3_Itaconic acid': {
        'intensity': '2889028.000000',
        'point_type': 'AQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_5_3',
        'point_name': 'SAMPLE_#SVLSCE6_5_3_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '35.425793',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_3_7_Itaconic acid': {
        'intensity': '116754.000000',
        'point_type': 'BQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_3_7',
        'point_name': 'SAMPLE_#SVLSCE6_3_7_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '1.431659',
        'unit': 'uM',
    },
    'SAMPLE_#SVLSCE6_6_4_Itaconic acid': {
        'intensity': '3511140.000000',
        'point_type': 'AQL',
        'normalized_conc': '1.000000',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_6_4',
        'point_name': 'SAMPLE_#SVLSCE6_6_4_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '43.054245',
        'unit': 'uM',
    },
}

BSAMPLE_RESPONSE_NO_NORM = {
    'SAMPLE_#SVLSCE6_6_3_Itaconic acid': {
        'intensity': '2432021.000000',
        'point_type': 'AQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_6_3',
        'point_name': 'SAMPLE_#SVLSCE6_6_3_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '29.821889',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_5_7_Itaconic acid': {
        'intensity': '287643300.000000',
        'point_type': 'AQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_5_7',
        'point_name': 'SAMPLE_#SVLSCE6_5_7_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '3527.135071',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_6_6_Itaconic acid': {
        'intensity': '295335600.000000',
        'point_type': 'AQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_6_6',
        'point_name': 'SAMPLE_#SVLSCE6_6_6_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '3621.459469',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_5_2_Itaconic acid': {
        'intensity': '4171659.000000',
        'point_type': 'AQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_5_2',
        'point_name': 'SAMPLE_#SVLSCE6_5_2_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '51.153650',
        'unit': 'uM',
        },
    'BK_#SVLSCE6_1_2_Itaconic acid': {
        'intensity': '30654.480000',
        'point_type': 'BQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'BK_#SVLSCE6_1_2',
        'point_name': 'BK_#SVLSCE6_1_2_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '0.375891',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_3_3_Itaconic acid': {
        'intensity': '799968.400000',
        'point_type': 'Linear',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_3_3',
        'point_name': 'SAMPLE_#SVLSCE6_3_3_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '9.809360',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_3_5_Itaconic acid': {
        'intensity': '1311282.000000',
        'point_type': 'AQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_3_5',
        'point_name': 'SAMPLE_#SVLSCE6_3_5_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '16.079181',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_2_3_Itaconic acid': {
        'intensity': '320445.700000',
        'point_type': 'Linear',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_2_3',
        'point_name': 'SAMPLE_#SVLSCE6_2_3_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '3.929364',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_6_2_Itaconic acid': {
        'intensity': '1961419.000000',
        'point_type': 'AQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_6_2',
        'point_name': 'SAMPLE_#SVLSCE6_6_2_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '24.051281',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_5_6_Itaconic acid': {
        'intensity': '253439600.000000',
        'point_type': 'AQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_5_6',
        'point_name': 'SAMPLE_#SVLSCE6_5_6_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '3107.723008',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_5_4_Itaconic acid': {
        'intensity': '1764175.000000',
        'point_type': 'AQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_5_4',
        'point_name': 'SAMPLE_#SVLSCE6_5_4_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '21.632638',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_3_2_Itaconic acid': {
        'intensity': '1478227.000000',
        'point_type': 'AQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_3_2',
        'point_name': 'SAMPLE_#SVLSCE6_3_2_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '18.126291',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_2_5_Itaconic acid': {
        'intensity': '273049.800000',
        'point_type': 'Linear',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_2_5',
        'point_name': 'SAMPLE_#SVLSCE6_2_5_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '3.348187',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_2_7_Itaconic acid': {
        'intensity': '172188.100000',
        'point_type': 'BQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_2_7',
        'point_name': 'SAMPLE_#SVLSCE6_2_7_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '2.111402',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_3_4_Itaconic acid': {
        'intensity': '386881.000000',
        'point_type': 'Linear',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_3_4',
        'point_name': 'SAMPLE_#SVLSCE6_3_4_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '4.744006',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_3_6_Itaconic acid': {
        'intensity': '484191.600000',
        'point_type': 'Linear',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_3_6',
        'point_name': 'SAMPLE_#SVLSCE6_3_6_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '5.937246',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_2_2_Itaconic acid': {
        'intensity': '1107652.000000',
        'point_type': 'AQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_2_2',
        'point_name': 'SAMPLE_#SVLSCE6_2_2_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '13.582233',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_2_4_Itaconic acid': {
        'intensity': '440101.000000',
        'point_type': 'Linear',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_2_4',
        'point_name': 'SAMPLE_#SVLSCE6_2_4_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '5.396599',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_5_5_Itaconic acid': {
        'intensity': '296550000.000000',
        'point_type': 'AQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_5_5',
        'point_name': 'SAMPLE_#SVLSCE6_5_5_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '3636.350665',
        'unit': 'uM',
        },
    'BK_#SVLSCE6_1_1_Itaconic acid': {
        'intensity': '53298.530000',
        'point_type': 'BQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'BK_#SVLSCE6_1_1',
        'point_name': 'BK_#SVLSCE6_1_1_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '0.653556',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_6_5_Itaconic acid': {
        'intensity': '349343700.000000',
        'point_type': 'AQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_6_5',
        'point_name': 'SAMPLE_#SVLSCE6_6_5_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '4283.716729',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_6_7_Itaconic acid': {
        'intensity': '344604300.000000',
        'point_type': 'AQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_6_7',
        'point_name': 'SAMPLE_#SVLSCE6_6_7_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '4225.601334',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_2_6_Itaconic acid': {
        'intensity': '228297.000000',
        'point_type': 'BQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_2_6',
        'point_name': 'SAMPLE_#SVLSCE6_2_6_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '2.799420',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_5_3_Itaconic acid': {
        'intensity': '2889028.000000',
        'point_type': 'AQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_5_3',
        'point_name': 'SAMPLE_#SVLSCE6_5_3_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '35.425793',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_3_7_Itaconic acid': {
        'intensity': '116754.000000',
        'point_type': 'BQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_3_7',
        'point_name': 'SAMPLE_#SVLSCE6_3_7_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '1.431659',
        'unit': 'uM',
        },
    'SAMPLE_#SVLSCE6_6_4_Itaconic acid': {
        'intensity': '3511140.000000',
        'point_type': 'AQL',
        'fragment_name': 'Itaconic acid',
        'sample_name': 'SAMPLE_#SVLSCE6_6_4',
        'point_name': 'SAMPLE_#SVLSCE6_6_4_Itaconic acid',
        'metabolite_name': 'Itaconic acid',
        'concentration': '43.054245',
        'unit': 'uM',
        },
    }

FITTED_POINTS = [{'y': 4.52970351, 'x': 369404.3, 'residue': -1.52970351},
                 {'y': 9.25098771, 'x': 754432.3, 'residue': 0.74901229}]

PLOT_CONC = [
    '0.000000',
    '0.000050',
    '0.000101',
    '0.000151',
    '0.000201',
    '0.000251',
    '0.000302',
    '0.000352',
    '0.000402',
    '0.000452',
    '0.000503',
    '0.000553',
    '0.000603',
    '0.000653',
    '0.000704',
    '0.000754',
    '0.000804',
    '0.000854',
    '0.000905',
    '0.000955',
    '0.001005',
    '0.001055',
    '0.001106',
    '0.001156',
    '0.001206',
    '0.001256',
    '0.001307',
    '0.001357',
    '0.001407',
    '0.001457',
    '0.001508',
    '0.001558',
    '0.001608',
    '0.001658',
    '0.001709',
    '0.001759',
    '0.001809',
    '0.001859',
    '0.001910',
    '0.001960',
    '0.002010',
    '0.002060',
    '0.002111',
    '0.002161',
    '0.002211',
    '0.002261',
    '0.002312',
    '0.002362',
    '0.002412',
    '0.002462',
    '0.002513',
    '0.002563',
    '0.002613',
    '0.002663',
    '0.002714',
    '0.002764',
    '0.002814',
    '0.002864',
    '0.002915',
    '0.002965',
    '0.003015',
    '0.003065',
    '0.003116',
    '0.003166',
    '0.003216',
    '0.003266',
    '0.003317',
    '0.003367',
    '0.003417',
    '0.003467',
    '0.003518',
    '0.003568',
    '0.003618',
    '0.003668',
    '0.003719',
    '0.003769',
    '0.003819',
    '0.003869',
    '0.003920',
    '0.003970',
    '0.004020',
    '0.004070',
    '0.004121',
    '0.004171',
    '0.004221',
    '0.004271',
    '0.004322',
    '0.004372',
    '0.004422',
    '0.004472',
    '0.004523',
    '0.004573',
    '0.004623',
    '0.004673',
    '0.004724',
    '0.004774',
    '0.004824',
    '0.004874',
    '0.004925',
    '0.004975',
    '0.005025',
    '0.005075',
    '0.005126',
    '0.005176',
    '0.005226',
    '0.005276',
    '0.005327',
    '0.005377',
    '0.005427',
    '0.005477',
    '0.005528',
    '0.005578',
    '0.005628',
    '0.005678',
    '0.005729',
    '0.005779',
    '0.005829',
    '0.005879',
    '0.005930',
    '0.005980',
    '0.006030',
    '0.006080',
    '0.006131',
    '0.006181',
    '0.006231',
    '0.006281',
    '0.006332',
    '0.006382',
    '0.006432',
    '0.006482',
    '0.006533',
    '0.006583',
    '0.006633',
    '0.006683',
    '0.006734',
    '0.006784',
    '0.006834',
    '0.006884',
    '0.006935',
    '0.006985',
    '0.007035',
    '0.007085',
    '0.007136',
    '0.007186',
    '0.007236',
    '0.007286',
    '0.007337',
    '0.007387',
    '0.007437',
    '0.007487',
    '0.007538',
    '0.007588',
    '0.007638',
    '0.007688',
    '0.007739',
    '0.007789',
    '0.007839',
    '0.007889',
    '0.007940',
    '0.007990',
    '0.008040',
    '0.008090',
    '0.008141',
    '0.008191',
    '0.008241',
    '0.008291',
    '0.008342',
    '0.008392',
    '0.008442',
    '0.008492',
    '0.008543',
    '0.008593',
    '0.008643',
    '0.008693',
    '0.008744',
    '0.008794',
    '0.008844',
    '0.008894',
    '0.008945',
    '0.008995',
    '0.009045',
    '0.009095',
    '0.009146',
    '0.009196',
    '0.009246',
    '0.009296',
    '0.009347',
    '0.009397',
    '0.009447',
    '0.009497',
    '0.009548',
    '0.009598',
    '0.009648',
    '0.009698',
    '0.009749',
    '0.009799',
    '0.009849',
    '0.009899',
    '0.009950',
    '0.010000',
]

PLOT_INT = [
    '0.000000',
    '5.025126',
    '10.050251',
    '15.075377',
    '20.100503',
    '25.125628',
    '30.150754',
    '35.175879',
    '40.201005',
    '45.226131',
    '50.251256',
    '55.276382',
    '60.301508',
    '65.326633',
    '70.351759',
    '75.376884',
    '80.402010',
    '85.427136',
    '90.452261',
    '95.477387',
    '100.502513',
    '105.527638',
    '110.552764',
    '115.577889',
    '120.603015',
    '125.628141',
    '130.653266',
    '135.678392',
    '140.703518',
    '145.728643',
    '150.753769',
    '155.778894',
    '160.804020',
    '165.829146',
    '170.854271',
    '175.879397',
    '180.904523',
    '185.929648',
    '190.954774',
    '195.979899',
    '201.005025',
    '206.030151',
    '211.055276',
    '216.080402',
    '221.105528',
    '226.130653',
    '231.155779',
    '236.180905',
    '241.206030',
    '246.231156',
    '251.256281',
    '256.281407',
    '261.306533',
    '266.331658',
    '271.356784',
    '276.381910',
    '281.407035',
    '286.432161',
    '291.457286',
    '296.482412',
    '301.507538',
    '306.532663',
    '311.557789',
    '316.582915',
    '321.608040',
    '326.633166',
    '331.658291',
    '336.683417',
    '341.708543',
    '346.733668',
    '351.758794',
    '356.783920',
    '361.809045',
    '366.834171',
    '371.859296',
    '376.884422',
    '381.909548',
    '386.934673',
    '391.959799',
    '396.984925',
    '402.010050',
    '407.035176',
    '412.060302',
    '417.085427',
    '422.110553',
    '427.135678',
    '432.160804',
    '437.185930',
    '442.211055',
    '447.236181',
    '452.261307',
    '457.286432',
    '462.311558',
    '467.336683',
    '472.361809',
    '477.386935',
    '482.412060',
    '487.437186',
    '492.462312',
    '497.487437',
    '502.512563',
    '507.537688',
    '512.562814',
    '517.587940',
    '522.613065',
    '527.638191',
    '532.663317',
    '537.688442',
    '542.713568',
    '547.738693',
    '552.763819',
    '557.788945',
    '562.814070',
    '567.839196',
    '572.864322',
    '577.889447',
    '582.914573',
    '587.939698',
    '592.964824',
    '597.989950',
    '603.015075',
    '608.040201',
    '613.065327',
    '618.090452',
    '623.115578',
    '628.140704',
    '633.165829',
    '638.190955',
    '643.216080',
    '648.241206',
    '653.266332',
    '658.291457',
    '663.316583',
    '668.341709',
    '673.366834',
    '678.391960',
    '683.417085',
    '688.442211',
    '693.467337',
    '698.492462',
    '703.517588',
    '708.542714',
    '713.567839',
    '718.592965',
    '723.618090',
    '728.643216',
    '733.668342',
    '738.693467',
    '743.718593',
    '748.743719',
    '753.768844',
    '758.793970',
    '763.819095',
    '768.844221',
    '773.869347',
    '778.894472',
    '783.919598',
    '788.944724',
    '793.969849',
    '798.994975',
    '804.020101',
    '809.045226',
    '814.070352',
    '819.095477',
    '824.120603',
    '829.145729',
    '834.170854',
    '839.195980',
    '844.221106',
    '849.246231',
    '854.271357',
    '859.296482',
    '864.321608',
    '869.346734',
    '874.371859',
    '879.396985',
    '884.422111',
    '889.447236',
    '894.472362',
    '899.497487',
    '904.522613',
    '909.547739',
    '914.572864',
    '919.597990',
    '924.623116',
    '929.648241',
    '934.673367',
    '939.698492',
    '944.723618',
    '949.748744',
    '954.773869',
    '959.798995',
    '964.824121',
    '969.849246',
    '974.874372',
    '979.899497',
    '984.924623',
    '989.949749',
    '994.974874',
    '1000.000000',
]
